{ themeCfg, pkgs }:
let
  external_ip_unwrapped = pkgs.writeShellScriptBin "external_ip"
    (builtins.readFile (pkgs.substituteAll ({ src = ./external_ip.sh; } // themeCfg.highlights)));
in
pkgs.symlinkJoin {
  name = "external_ip";

  paths = [ external_ip_unwrapped ] ++ (with pkgs; [ bind.dnsutils ]);
  buildInputs = [ pkgs.makeWrapper ];

  postBuild = ''
    wrapProgram $out/bin/external_ip --prefix PATH : $out/bin
  '';
}
