{ config
, pkgs
, lib
, inputs
, extraHomeModule ? null
, ...
}:

{
  nixpkgs.overlays = lib.mkAfter [
    inputs.wired.overlays.default
  ];

  local.nix.allowUnfreePackages = [ "skypeforlinux" ];

  programs.zsh.enable = true;

  users.users.nas = {
    isNormalUser = true;
    shell = pkgs.zsh;
    hashedPasswordFile = config.age.secrets.users-nas-passfile.path;
  };

  home-manager.users.nas = { lib, ... }: {
    imports = [
      inputs.wired.homeManagerModules.default
      ./home.nix
      extraHomeModule
    ];

    home.stateVersion = config.system.stateVersion;
  };

  age.secrets.users-nas-passfile.file = ../../../secrets/users-nas-passfile.age;
}
