{ pkgs, ... }:

{
  imports = [
    ../../modules/window_manager
    ../../modules/terminal/wezterm.nix
    ../../modules/shell.nix

    ../../modules/notifications

    ../../modules/themes
    ../../modules/themes/catppuccin/frappe.nix
  ];

  xdg.enable = true;

  home.keyboard = {
    model = "pc105";
    layout = "us,ru";
    options = [ "grp:win_space_toggle" ];
  };

  home.packages = with pkgs.unstable; [
    skypeforlinux
    tdesktop
    libreoffice
    image-roll
    gnome.nautilus
    gnome.gedit

    # browser
    firefox
  ];
}
