{ pkgs, ... }:

let
  data = import ../../../data.nix;
in
{
  imports = [
    ./hardware-configuration.nix
    ./networking.secret.nix # generated at runtime by nixos-infect

    ../../modules/nix.nix
    ../../shared/common.nix
    ../../shared/garbage-collector.nix
    ../../shared/fail2ban

    ./services/wireguard.nix
  ];

  boot.kernelPackages = pkgs.linuxPackages_6_1;
  boot.tmp.cleanOnBoot = true;

  zramSwap.enable = true;

  networking.hostName = "tatos";

  services.openssh.enable = true;
  users.users.root.openssh.authorizedKeys.keys = data.publicKeys.users.jan;
}
