{ pkgs, ... }:

{
  fonts = {
    enableDefaultPackages = true;
    packages = with pkgs; [
      ubuntu_font_family
      fira-code
      fira-code-symbols
      (nerdfonts.override { fonts = [ "FiraCode" ]; })
      noto-fonts
      noto-fonts-cjk
      noto-fonts-emoji
      liberation_ttf
      mplus-outline-fonts.githubRelease
      dina-font
      proggyfonts
    ];
    fontconfig = {
      defaultFonts = {
        monospace = [
          "Fira Code"
          "emoji"
          "FiraCode Nerd Font Mono"
        ];
        serif = [ "Ubuntu" "emoji" ];
        sansSerif = [ "Ubuntu" "emoji" ];
        emoji = [ "Noto Color Emoji" ];
      };
    };
  };
}
